python-pint_0.8.1-2_all.deb


Advertisement

Description

python-pint - define, operate and manipulate physical quantities - Python 2.x

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Main amd64
Package name python-pint
Package version 0.8.1
Package release 2
Package architecture all
Package type deb
Installed size 586 B
Download size 95.89 KB
Official Mirror archive.ubuntu.com
Pint is Python module/package to define, operate and manipulate physical
quantities: the product of a numerical value and a unit of measurement. It
allows arithmetic operations between them and conversions from and to
different units.
It is distributed with a comprehensive list of physical units, prefixes and
constants. Due to its modular design, you can extend (or even rewrite!) the
complete list without changing the source code.
This package contains the Python 2.x module.

Alternatives

Package Version Architecture Repository
python-pint_0.8.1-2_all.deb 0.8.1 all Ubuntu Main
python-pint - - -

Requires

Name Value
python-pkg-resources -
python:any >= 2.7.5-5~
python:any << 2.8

Download

Type URL
Binary Package python-pint_0.8.1-2_all.deb
Source Package python-pint

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-pint deb package:
    # sudo apt-get install python-pint

Files

Path
/usr/lib/python2.7/dist-packages/Pint-0.8.1.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/Pint-0.8.1.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/Pint-0.8.1.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/Pint-0.8.1.egg-info/zip-safe
/usr/lib/python2.7/dist-packages/pint/__init__.py
/usr/lib/python2.7/dist-packages/pint/babel_names.py
/usr/lib/python2.7/dist-packages/pint/constants_en.txt
/usr/lib/python2.7/dist-packages/pint/context.py
/usr/lib/python2.7/dist-packages/pint/converters.py
/usr/lib/python2.7/dist-packages/pint/default_en.txt
/usr/lib/python2.7/dist-packages/pint/default_en_0.6.txt
/usr/lib/python2.7/dist-packages/pint/definitions.py
/usr/lib/python2.7/dist-packages/pint/errors.py
/usr/lib/python2.7/dist-packages/pint/formatting.py
/usr/lib/python2.7/dist-packages/pint/measurement.py
/usr/lib/python2.7/dist-packages/pint/pint_eval.py
/usr/lib/python2.7/dist-packages/pint/quantity.py
/usr/lib/python2.7/dist-packages/pint/registry.py
/usr/lib/python2.7/dist-packages/pint/registry_helpers.py
/usr/lib/python2.7/dist-packages/pint/systems.py
/usr/lib/python2.7/dist-packages/pint/unit.py
/usr/lib/python2.7/dist-packages/pint/util.py
/usr/lib/python2.7/dist-packages/pint/xtranslated.txt
/usr/lib/python2.7/dist-packages/pint/compat/__init__.py
/usr/lib/python2.7/dist-packages/pint/compat/chainmap.py
/usr/lib/python2.7/dist-packages/pint/compat/lrucache.py
/usr/lib/python2.7/dist-packages/pint/compat/meta.py
/usr/lib/python2.7/dist-packages/pint/compat/nullhandler.py
/usr/lib/python2.7/dist-packages/pint/compat/tokenize.py
/usr/lib/python2.7/dist-packages/pint/testsuite/__init__.py
/usr/lib/python2.7/dist-packages/pint/testsuite/helpers.py
/usr/lib/python2.7/dist-packages/pint/testsuite/parameterized.py
/usr/lib/python2.7/dist-packages/pint/testsuite/test_babel.py
/usr/lib/python2.7/dist-packages/pint/testsuite/test_contexts.py
/usr/lib/python2.7/dist-packages/pint/testsuite/test_converters.py
/usr/lib/python2.7/dist-packages/pint/testsuite/test_definitions.py
/usr/lib/python2.7/dist-packages/pint/testsuite/test_errors.py
/usr/lib/python2.7/dist-packages/pint/testsuite/test_formatter.py
/usr/lib/python2.7/dist-packages/pint/testsuite/test_infer_base_unit.py
/usr/lib/python2.7/dist-packages/pint/testsuite/test_issues.py
/usr/lib/python2.7/dist-packages/pint/testsuite/test_measurement.py
/usr/lib/python2.7/dist-packages/pint/testsuite/test_numpy.py
/usr/lib/python2.7/dist-packages/pint/testsuite/test_pint_eval.py
/usr/lib/python2.7/dist-packages/pint/testsuite/test_pitheorem.py
/usr/lib/python2.7/dist-packages/pint/testsuite/test_quantity.py
/usr/lib/python2.7/dist-packages/pint/testsuite/test_systems.py
/usr/lib/python2.7/dist-packages/pint/testsuite/test_umath.py
/usr/lib/python2.7/dist-packages/pint/testsuite/test_unit.py
/usr/lib/python2.7/dist-packages/pint/testsuite/test_util.py
/usr/lib/python2.7/dist-packages/pint/testsuite/compat/__init__.py
/usr/share/doc/python-pint/AUTHORS
/usr/share/doc/python-pint/changelog.Debian.gz
/usr/share/doc/python-pint/copyright

Changelog

2018-04-16 - Ondřej Nový <onovy@debian.org>
python-pint (0.8.1-2) unstable; urgency=medium
* d/control: Set Vcs-* to salsa.debian.org
* d/copyright: Bump my copyright year
* Fix for numpy 1.14 (Closes: #876921)
* Bump debhelper compat level to 11
* Standards-Version is 4.1.4 now (no changes needed)
* Use Python 3 version of Sphinx for building docs
* d/p/*-Use-SOURCE_DATE_EPOCH-for-copyright-year-to-make-bui.patch:
Fix for Python 3
* Add upstream metadata
2017-08-04 - Ondřej Nový <onovy@debian.org>
python-pint (0.8.1-1) unstable; urgency=medium
* New upstream release (Closes: #869812)
* Skip Babel tests, they are not working in Debian
* d/copyright: Bump upstream copyright years
2017-08-04 - Ondřej Nový <onovy@debian.org>
python-pint (0.7.2-4) unstable; urgency=medium
* Maintainer: DPMT team
* Vcs-* move to DPMT
* Use pybuild
* d/copyright
- Use https in format URL
- Bump my copyright years
* Use autopkgtest-pkg-python testsuite
* d/control: Removed useless Pre-Depends on dpkg
* Bump debhelper compat version to 10
* Standards-Version is 4.0.0.4 now
2016-07-11 - Ondřej Nový <onovy@debian.org>
python-pint (0.7.2-3) unstable; urgency=medium
* d/rules: Changed UPSTREAM_GIT protocol to https
* d/copyright: Changed source URL to https protocol
* d/{control,copyright}: Use my @debian.org email address
* Use LooseVersion for NumPy version comparing (Closes: #830348)
2016-04-23 - Ondřej Nový <novy@ondrej.org>
python-pint (0.7.2-2) unstable; urgency=medium
* Added myself as uploader
* Change directory to $ADTTMP before running Debian tests
* Fix copyright year in documentation to make build reproducible
* Fix unit tests failing on 32-bit arch
2016-04-14 - Ondřej Nový <novy@ondrej.org>
python-pint (0.7.2-1) unstable; urgency=medium
* Team upload.
* New upstream release (Closes: #820195).
* Fixed VCS URLs (https).
* Standards-Version is 3.9.8 now (no change).
* d/copyright
- Cleanup and fixed for new upstream release.
- Added myself for Debian part
* Added python(3)-pkg-resources dependency.
* Added simple Debian tests.
* Install AUTHORS file.
* Added skip_not_working_tests.patch
* Removed logo-full.jpg duplicity in docs.
2015-05-29 - Thomas Goirand <zigo@debian.org>
python-pint (0.6-1) unstable; urgency=medium
* New upstream release.
* Applied patch from Ubuntu guys (Closes: #774892):
- Add python-numpy and python3-numpy to Build-Depends
to enable more tests to run (tests are skipped otherwise).
* Fixed debian/watch file.
* Moved unit test build-depends to build-depends-indep.
* Added dh-python as build-depends, removed version for python-all.
* Standards-Version: 3.9.6 (no change).
* Using the -v flag when running nosetests.
2014-09-05 - Thomas Goirand <zigo@debian.org>
python-pint (0.5.2-1) unstable; urgency=medium
* Initial release. (Closes: #760586)

See Also

Package Description
python-pkg-resources_39.0.1-2_all.deb Package Discovery and Resource Access using pkg_resources
python-ply-doc_3.11-1_all.deb Lex and Yacc implementation for Python (documentation)
python-ply_3.11-1_all.deb Lex and Yacc implementation for Python2
python-polib-doc_1.1.0-3_all.deb Python library to parse and manage gettext catalogs (documentation)
python-positional-doc_1.1.1-3_all.deb Library to enforce positional or key-word arguments - doc
python-positional_1.1.1-3_all.deb enforce positional or key-word arguments - Python 2.7
python-posix-ipc_0.9.8-3_amd64.deb semaphores, shared memory and message queues - Python 2.x
python-prettytable_0.7.2-3_all.deb library to represent tabular data in visually appealing ASCII tables
python-psutil-doc_5.4.2-1_all.deb module providing convenience functions for managing processes (doc)
python-psutil_5.4.2-1_amd64.deb module providing convenience functions for managing processes
python-psycopg2-doc_2.7.4-1_all.deb Python module for PostgreSQL (documentation package)
python-psycopg2_2.7.4-1_amd64.deb Python module for PostgreSQL
python-pyasn1-doc_0.4.2-3_all.deb ASN.1 library for Python (documentation)
python-pyasn1-modules_0.2.1-0.2_all.deb Collection of protocols modules written in ASN.1 language
python-pyasn1_0.4.2-3_all.deb ASN.1 library for Python (Python 2 module)
Advertisement
Advertisement